Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.billboard
Class BasicBillboarder

    java.lang.Object
      de.grogra.billboard.Billboarder
          de.grogra.billboard.BasicBillboarder

Direct Known Subclasses:
  VRMLDynamicBuilder

    public class BasicBillboarder

extends Billboarder

This is a simple implementation of the abstract class `#Billboarder`. By invoke `Billboarder.billboarding()` only rendered images will be write to disk. Example: `File file = new File("C:\\Test\\"); BasicBillboarder bb = new BasicBillboarder(file, Billboarder.MT_PNG); bb.initialize(5, 0, 20); bb.billboarding();`

Author:
  adgen

Field Summary

Fields inherited from class de.grogra.billboard.Billboarder
`angleOffset, appendfix, camera, countZero, currentSide, file, imageFolder, imgHeight, imgWidth, mt, MT_EXR, MT_JPG, MT_PJPG, MT_PNG, MT_X_EXR, pathAndFileName, prefix, RotationAngle, rotationPoint, sides, suffix, view3d`

Constructor Summary
`BasicBillboarder(java.io.File file, MimeType mt)`

Method Summary
`protected void` | `setRunLater()` When a Billboard-Render-Thread is finished, the implementation of this method will be executed later.

Methods inherited from class de.grogra.billboard.Billboarder
`angleOffset, beginAt, billboarding, finalAction, getBBName, getLeadingZeros, graph, initialize, insertName, justRenderView, location, nextSide, nextSide, setDestination, transformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicBillboarder

    public BasicBillboarder(java.io.File file,
                            MimeType mt)

Method Detail

### setRunLater

    protected void setRunLater()

  Description copied from class: `Billboarder`
  When a Billboard-Render-Thread is finished, the implementation of this method will be executed later.

  Specified by:
    `setRunLater` in class `Billboarder`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD